com.microfocus.awm.core

## Enum EGetChildrenMode

- java.lang.Object
- - java.lang.Enum<EGetChildrenMode>
  - - com.microfocus.awm.core.EGetChildrenMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EGetChildrenMode>

      public enum EGetChildrenMode
      extends java.lang.Enum<EGetChildrenMode>

  The mode declaring how to get children of an AWM resource.
  Author:
    PrudenceB
  See Also:
    `IElementListEntry.getChildren(EGetChildrenMode, org.eclipse.core.runtime.IProgressMonitor)`, `ITaurusApplication.getChildren(EGetChildrenMode, org.eclipse.core.runtime.IProgressMonitor)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PREFER_CACHE` Get the cached element list if it exists and the parent hasn't been refreshed since.
    `REFRESH` Delete the cached element list and execute the get children action of the AWM resource.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EGetChildrenMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EGetChildrenMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REFRESH

          public static final EGetChildrenMode REFRESH

      Delete the cached element list and execute the get children action of the AWM resource.

    - #### PREFER_CACHE

          public static final EGetChildrenMode PREFER_CACHE

      Get the cached element list if it exists and the parent hasn't been refreshed since. If no cached element list exists or the parent has been refreshed, the get children action will be executed.

  - ### Method Detail

    - #### values

          public static EGetChildrenMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EGetChildrenMode c : EGetChildrenMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EGetChildrenMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.